public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: virtual/lapacke/
Date: Mon, 28 Dec 2015 08:17:15 +0000 (UTC)	[thread overview]
Message-ID: <1451290418.3a5e4ddcf7f1369051ebe8344c9fa15e3a392220.jlec@gentoo> (raw)

commit:     3a5e4ddcf7f1369051ebe8344c9fa15e3a392220
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 28 08:13:38 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Dec 28 08:13:38 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=3a5e4ddc

virtual/lapacke: Version Bump, add ABI_X86 and int64 support

Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 virtual/lapacke/lapacke-3.6.ebuild | 27 +++++++++++++++++++++++++++
 virtual/lapacke/metadata.xml       |  4 ++++
 2 files changed, 31 insertions(+)

diff --git a/virtual/lapacke/lapacke-3.6.ebuild b/virtual/lapacke/lapacke-3.6.ebuild
new file mode 100644
index 0000000..c469912
--- /dev/null
+++ b/virtual/lapacke/lapacke-3.6.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+MULTILIB_COMPAT=( abi_x86_{32,64} )
+
+inherit multilib-build
+
+DESCRIPTION="Virtual for LAPACK C implementation"
+HOMEPAGE=""
+SRC_URI=""
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="int64"
+
+RDEPEND="
+	|| (
+		abi_x86_64? ( !abi_x86_32? ( >=sci-libs/lapacke-reference-3.5 ) )
+		sci-libs/mkl[int64?,${MULTILIB_USEDEP}]
+	)
+	int64? ( sci-libs/mkl[int64,${MULTILIB_USEDEP}] )
+	"
+DEPEND=""

diff --git a/virtual/lapacke/metadata.xml b/virtual/lapacke/metadata.xml
index 43a75c8..a21ef90 100644
--- a/virtual/lapacke/metadata.xml
+++ b/virtual/lapacke/metadata.xml
@@ -6,4 +6,8 @@
   Gentoo virtual package for the Linear Algebra PACKAge
   C implementation.
 </longdescription>
+  <use>
+    <flag name="int64">Add eselect module for blas libraries built with 64 bits
+  integer ABI</flag>
+  </use>
 </pkgmetadata>


             reply	other threads:[~2015-12-28  8:17 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-12-28  8:17 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-03-07  7:45 [gentoo-commits] proj/sci:master commit in: virtual/lapacke/ Marius Brehler
2016-02-26  9:02 Justin Lecher
2016-02-26  9:02 Justin Lecher
2014-11-13  0:15 Christoph Junghans
2014-01-28 19:01 Sebastien Fabbro

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1451290418.3a5e4ddcf7f1369051ebe8344c9fa15e3a392220.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox